-- version and date - make sure you set: svn:keywords Date Rev
local revision = tonumber(("$Revision: 46754 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2007-08-16 23:48:31 -0400 (Thu, 16 Aug 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

-- create the class
local AceOO = AceLibrary("AceOO-2.0")
Addon = AceOO.Class(ShakedownAddonBase)

-- constructor
function Addon.prototype:init()
    Addon.super.prototype.init(self, "Autobar", "Autobar")
end

function Addon.prototype:Activate()

    if not Addon.super.prototype.Activate(self) then return end
    
    -- show the anchor
    local autoBarAnchorFrameHandle = _G["AutoBarAnchorFrameHandle"]
    autoBarAnchorFrameHandle:SetAttribute("showstates", "*")
    autoBarAnchorFrameHandle:Show()

    -- unlock if necessary
    if AutoBar.display.frameLocked then
        AutoBar.display.frameLocked = false
        autoBarAnchorFrameHandle:SetChecked(false)
    end
end

function Addon.prototype:Deactivate()

    Addon.super.prototype.Deactivate(self)
    
    -- hide the anchor
    local autoBarAnchorFrameHandle = _G["AutoBarAnchorFrameHandle"]
    autoBarAnchorFrameHandle:SetAttribute("showstates", "!*")
    autoBarAnchorFrameHandle:Hide()
    
    -- lock
    AutoBar.display.frameLocked = true
    autoBarAnchorFrameHandle:SetChecked(true)
end

-- create the instance of this class; parent's constructor will handle registration with the main shakedown code
local thisAddon = Addon:new()